
import { Component, ResolutionPolicy, screen, view, _decorator } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('DesignResolutionMgr')
export class DesignResolutionMgr extends Component {

    onLoad() {
        view.setResizeCallback(DesignResolutionMgr.onCanvasResize);
    }

    public static onCanvasResize(): void {
        let windowSize = screen.windowSize;
        view.setDesignResolutionSize(windowSize.width * 2, windowSize.height * 2, ResolutionPolicy.SHOW_ALL);
        console.log("setDesignResolutionSize ", windowSize);
    }
}
